Update for autoconf 2.71 compatibility.
https://github.com/seehuhn/moon-buggy/issues/7
https://github.com/seehuhn/moon-buggy/pull/8
--- configure.ac.orig	2017-08-22 09:56:33.000000000 -0500
+++ configure.ac	2022-03-22 20:51:56.000000000 -0500
@@ -1,9 +1,9 @@
 dnl Process this file with autoconf to produce a configure script.
 
-AC_INIT(moon-buggy, 1.0.51, voss@seehuhn.de)
+AC_INIT([moon-buggy],[1.0.51],[voss@seehuhn.de])
 AC_CONFIG_SRCDIR([moon-buggy.h])
 AM_INIT_AUTOMAKE
-AM_CONFIG_HEADER(config.h)
+AC_CONFIG_HEADERS([config.h])
 
 AC_CANONICAL_HOST
 
@@ -24,19 +24,20 @@
 
 dnl Checks for programs.
 AC_PROG_CC
+AC_PROG_CPP
+AC_PROG_EGREP
 
 dnl Checks for libraries.
 AC_CHECK_LIB(m, modf)
 JV_CHECK_CURSES
 
 dnl Checks for header files.
-AC_HEADER_STDC
 AC_CHECK_HEADERS(getopt.h errno.h locale.h termios.h)
 
 # Check if <sys/select.h> needs to be included for fd_set
 AC_MSG_CHECKING([for fd_set])
-AC_TRY_COMPILE([#include <sys/types.h>],
-        [fd_set readMask, writeMask;], mb_ok=yes, mb_ok=no)
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <sys/types.h>]],
+        [[fd_set readMask, writeMask;]])],[mb_ok=yes],[mb_ok=no])
 if test $mb_ok = yes; then
     AC_MSG_RESULT([yes, found in sys/types.h])
 else
@@ -57,7 +58,6 @@
 AC_TYPE_SIZE_T
 
 dnl Checks for library functions.
-AC_TYPE_SIGNAL
 AC_CHECK_FUNCS(fclean ftruncate getopt_long setreuid setlocale)
 
 AM_CONDITIONAL(short_getopt, test "x$ac_cv_func_getopt_long" != xyes)
--- signal.c.orig	2017-08-22 09:56:33.000000000 -0500
+++ signal.c	2022-03-22 20:25:36.000000000 -0500
@@ -45,7 +45,7 @@
 }
 
 static void
-install_signal (int signum, RETSIGTYPE (*handler) ())
+install_signal (int signum, void (*handler) ())
 /* Emulate the `signal' function via `sigaction'.  */
 {
   struct sigaction  action;
@@ -58,7 +58,7 @@
   assert (ret == 0);
 }
 
-static RETSIGTYPE
+static void
 generic_handler (int signum)
 /* Interrupt handlers shouldn't do much.  So we just note that the
  * signal arrived.  */
